/* _NVRM_COPYRIGHT_BEGIN_
*
* Copyright 2019-2021 by NVIDIA Corporation.  All rights reserved.  All
* information contained herein is proprietary and confidential to NVIDIA
* Corporation.  Any use, reproduction, or disclosure without the written
* permission of NVIDIA Corporation is prohibited.
*
* _NVRM_COPYRIGHT_END_
*/

#ifndef CPU__ASM_HELPERS_H
#define CPU__ASM_HELPERS_H
#define FSP__CPU__ASM_HELPERS_H    1

#define REGBYTES    8
#define SREG        sd
#define LREG        ld
#define ZREG(rd)    mv rd, zero

.macro FUNC name
   .global \name
   \name :
   .func \name, \name
    .type \name, STT_FUNC
.endm

.macro EFUNC name
    .endfunc
    .size \name, .-\name
.endm

#endif /* CPU__ASM_HELPERS_H */
