/* _NVRM_COPYRIGHT_BEGIN_
 *
 * Copyright 2020-2021 by NVIDIA Corporation.  All rights reserved.  All
 * information contained herein is proprietary and confidential to NVIDIA
 * Corporation.  Any use, reproduction, or disclosure without the written
 * permission of NVIDIA Corporation is prohibited.
 *
 * _NVRM_COPYRIGHT_END_
 */

#ifndef CPU__SHUTDOWN_H
#define CPU__SHUTDOWN_H
#define FSP__CPU__SHUTDOWN_H    1

// Panic, fatal
void riscvPanic(void) __attribute__((noreturn));

// Gentle shutdown (we need to do it properly!)
void riscvShutdown(void) __attribute__((noreturn));

#endif /* CPU__SHUTDOWN_H */
